import { ClientProxy, ReadPacket, WritePacket } from '@nestjs/microservices';
export declare class SocketIoClientProxyService extends ClientProxy {
    private readonly logger;
    private readonly client;
    connect(): Promise<any>;
    close(): Promise<void>;
    /**
     * this method use when you use SocketIoClientProxyService.emit
     * @param packet
     * @returns
     */
    dispatchEvent(packet: ReadPacket): Promise<any>;
    /**
     * this method will be call when use SocketIoClientProxyService.send
     * can be use to implement request-response
     * @param packet
     * @param callback
     * @returns
     */
    publish(packet: ReadPacket, callback: (packet: WritePacket) => void): () => void;
}
